//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Xml;
using CommunityServer.Components;

namespace CommunityServer.Blogs.Components
{
	/// <summary>
	/// Summary description for WeblogCensorModule.
	/// </summary>
	public class CensorModule : ICSModule
	{
		public CensorModule()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public void Init(CSApplication csa, XmlNode node)
		{
			
			csa.PrePostUpdate +=new CSPostEventHandler(csa_BeforeProcessPost);
		}

		private void csa_BeforeProcessPost(IContent content, CSPostEventArgs e)
		{
			if(e.ApplicationType == ApplicationType.Weblog && e.State != ObjectState.Delete)
			{
				WeblogPost wp = content as WeblogPost;			
				if(wp != null && CSContext.Current.SiteSettings.EnableCensorship ) 
				{
					wp.FormattedBody = Transforms.CensorPost( wp.FormattedBody );
					wp.Subject = Transforms.CensorPost( wp.Subject );
					wp.Excerpt = Transforms.CensorPost(wp.Excerpt);
					wp.SubmittedUserName = Transforms.CensorPost(wp.SubmittedUserName);
				}
			}
		}
	}
}
